> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete diconfigurations bulkdelete

> Bulk delete object configurations



## OpenAPI

````yaml /schema.json delete /di/configurations/{type}/bulk/delete
openapi: 3.1.0
info:
  version: 01KVQG1C20MKD0B8FDPE4RHEDH
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /di/configurations/{type}/bulk/delete:
    delete:
      tags:
        - Di
      description: Bulk delete object configurations
      operationId: bulkDeleteObjectConfigurations
      parameters:
        - name: type
          in: path
          description: Type identifier
          required: true
          schema:
            type: string
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                filter:
                  type: string
      responses:
        '200':
          description: Number of deleted object configurations
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkObjectDeletedResponse'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    BulkObjectDeletedResponse:
      type: object
      properties:
        deleted:
          type: number
          title: Number of deleted object configurations
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string

````